# Response Model

## Event Result Object

| Field Name      | Type   | Description                                                                                                           |
| --------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| teamA           | object | Team object containing details for the first team                                                                     |
| teamB           | object | Team object containing details for the second team                                                                    |
| winner          | string | The team ID of the winner - TeamA or TeamB                                                                            |
| matchScore      | object | The final match score object                                                                                          |
| matchExternalId | string | The external match ID for the event                                                                                   |
| finishReason    | string | The reason of winning - one of “Normal”, “Retirement”, “SuddenDeath”, “Default”, "Walkover", "Abandoned" or “Unknown” |
| matchId         | string | IMG match ID                                                                                                          |
| eventId         | string | The event ID of the match                                                                                             |

## Team Status (A or B) Object

| Field Name | Type   | Description                                                                                                                                                                |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string | Indicates if the player detail is known for this team. Values are KnownTennisTeam, UnknownTennisTeam or Bye. For UnknownTennisTeam or Bye, no other fields will be present |
| team       | object | A tennis team object                                                                                                                                                       |

## Team Object

| Field Name | Type   | Description                                                                                                                                           |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| player1    | object | Player object containing details for the first player in the team                                                                                     |
| player2    | object | Player object containing details for the second player in the team. Only present if a doubles team                                                    |
| seed       | int    | This team's seeding for the competition                                                                                                               |
| entryType  | string | This team’s entry type for the competition. Possible values are: Wildcard, Qualifier, LuckyLoser, ProtectedRank, Alternate, SpecialExempt or Standard |

## Player Object

| Field Name | Type   | Description                                             |
| ---------- | ------ | ------------------------------------------------------- |
| id         | string | Unique identifier for this player as defined by the ATP |
| firstName  | string | First name of the player                                |
| lastName   | string | Last name of the player                                 |
| country    | string | IOC (Olympic) country code for the player               |

## Match Score Object

| Field Name | Type   | Description                            |
| ---------- | ------ | -------------------------------------- |
| setScores  | object | The scores in the completed match sets |

## Set Scores Object

| Field Name      | Type | Description                                                     |
| --------------- | ---- | --------------------------------------------------------------- |
| gamesA          | int  | Number of games won by TeamA                                    |
| gamesB          | int  | Number of games won by TeamB                                    |
| tieBreakPointsA | int  | Tie-break score for the Set if it went to a tie break for TeamA |
| tieBreakPointsB | int  | Tie-break score for the Set if it went to a tie break for TeamB |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/tournaments-id-results/response-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
